<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

### Table of Contents

-   [parse][1]
    -   [Parameters][2]
    -   [Examples][3]
-   [stringify][4]
    -   [Parameters][5]
    -   [Examples][6]

## parse

Парсит параметры из строки поиска или URL

### Parameters

-   `queryString` **[String][7]** Строка запроса
-   `options` **[Object][8]**  (optional, default `{output:'tree',conversion:true}`)
    -   `options.output` **[String][7]** Формат вывода array, tree
    -   `options.conversion` **[Boolean][9]** Приведение типов

### Examples

```javascript
import { parse } from 'query-params-helpers';

parse('?foo=bar'); // { foo: 'bar' }

parse('?foo[]=1&foo[]=2'); // { foo: [1, 2] }

parse('?foo=1&bar[x]=2&bar[y]=3'); // { foo: 1, bar: { x: 1, y: 2 } }

parse('?foo[0][x]=10&foo[0][y]=20&foo[1][x]=30&foo[1][y]=40'); // { foo: [{ x: 10, y: 20 }, { x: 30, y: 40 }] }
```

Returns **([Object][8] \| [Array][10])** 

## stringify

Приводит объект к URL строке

### Parameters

-   `object` **[Object][8]** Исходный объект
-   `url` **[Object][8]** дефолтный url (optional, default `''`)

### Examples

```javascript
import { stringify } from 'query-params-helpers';

stringify({ foo: 'bar' }); // '?foo=bar'

stringify({ foo: [1, 2] }); // '?foo[]=1&foo[]=2'

stringify({ foo: 1, bar: { x: 1, y: 2 } }); // '?foo=1&bar[x]=2&bar[y]=3'

stringify({ foo: [{ x: 10, y: 20 }, { x: 30, y: 40 }] }); // '?foo[0][x]=10&foo[0][y]=20&foo[1][x]=30&foo[1][y]=40'
```

Returns **[String][7]** 

[1]: #parse

[2]: #parameters

[3]: #examples

[4]: #stringify

[5]: #parameters-1

[6]: #examples-1

[7]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String

[8]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object

[9]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean

[10]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Array
